Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
POSTOrganization OperationsSince 2.4.0SynchronousAuth Required

CreateIAM2Organization

CreateIAM2Organization

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • typeOrganizationTypeRequired

      The organization type.

    • parentUuidString

      Optional.

    • attributesList

      Optional.

    • quotaList

      Optional. The quota.

    • resourceUuidString

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryIAM2OrganizationInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • parentUuidStringRequired

      父级资源UUID。

    • stateStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • typeOrganizationTypeRequired

      See type.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • attributesListRequired

      See attributes.

      • organizationUuidStringRequired

        组织UUID。

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • valueStringRequired

        字段值。

      • typeAttributeTypeRequired

        See type.

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

POST/v1/iam2/organizations

/v1/iam2/organizations

Operation ID

CreateIAM2Organization

Permalink

Request Example

curl -X POST 'http://{host}/v1/iam2/organizations' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","type":"<type>","parentUuid":"<parentUuid>","attributes":["<attributes>"],"quota":["<quota>"],"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d8880014345347e1ab945d8ef750fac7", "name": "org1", "state": "Enabled", "type": "Company", "srcType": "ZStack", "parentUuid": "1dffd2c40215412d8ab4b811ce6888f0", "rootOrganizationUuid": "a531128bc8724f0ba55a85c425f22c32", "attributes": [ { "uuid": "053353cf77d6493daef4de70c9ff8d24", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }

Change History

This API has no change history records yet.

View all change history